Subject: Need Confirmation and Clarification- LDAP: Authentication Methods and Security Mechanisms (RFC 4513)

From: "Khoo, Kok Cheong" <[email-masked]>
Date: Mon, 10 Nov 2014 00:41:39 +0000

Dear Sir/Madam,

We are the subsidiary company of FujiXerox & Xerox and authorized partner for Dell(Imaging). We help Dell to design and implement for their own brand printers. We have a doubt that related to the LDAP Authentication implementation in our products(MFP Printer Dell C3765dnf) and would like to seek for your professional advise so we have better same interpretation, understanding and aligned with RFC 4513.

Our current implementation supports the Anonymous authentication(5.1.1) but does not support the Unauthenticated authentication(5.1.2) for the printer.

Question need your confirmation & clarification(http://www.ietf.org/rfc/rfc4513.txt):

1. We sees both the Anonymous authentication (5.1.1) and the Unauthenticated authentication (5.1.2) are optional since the sections  begin with the word "MAY". MAY means truly optional according to RFC2119. Can you confirm our understanding are correct?

2. RFC 4513: Section 5.1.1 (Anonymous Authentication Mechanism of Simple Bind)

      a. Is our current implementation compliance with this section?

3. RFC 4513: Section 5.1.2 (Unauthenticated Authentication Mechanism of Simple Bind)

      a. Is our current implementation compliance with this section?

      b. Current Dell's products authentication allowed user saving of blank password without prompting error message upon user in Embedded Web Service page. Does this behavior compliance with this section?

4. Kindly advice on how to ensure our implementation is compliance with the RFC 4513?

Please help to forward my request to the corresponding person if you are not the right one to answer.

Looking forward to your respond soon. Thank you very much.

Thank You
Regards
Kok Cheong, KHOO
XIP Singapore
Address: 1 International Business Park, #10-01 The Synergy, Singapore 609917
DID: (65) 6513-3752
Mobile: (65) 9003-9085
Email: [email-masked]<mailto:[email-masked]>

This e-mail (including any attachments) is confidential and intended only for use by the named addressee(s).  It may also be privileged or otherwise protected by work-product immunity or other legal rules. If you are not the intended recipient of this e-mail, you are hereby notified that any use, dissemination, distribution or copying of this e-mail, and any attachments, is strictly prohibited. If you received this e-mail in error, please immediately notify me by return e-mail or call me at +65 6513 3752 and permanently delete the original and any copies.